Skip to main content
PUT
/
v1
/
roles
/
{role_id}
Update role
curl --request PUT \
  --url https://api.example.com/v1/roles/{role_id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "active": true
}
'
import requests

url = "https://api.example.com/v1/roles/{role_id}"

payload = {
    "name": "<string>",
    "description": "<string>",
    "active": True
}
headers = {"Content-Type": "application/json"}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PUT',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({name: '<string>', description: '<string>', active: true})
};

fetch('https://api.example.com/v1/roles/{role_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "active": true,
  "description": "<string>",
  "system": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}
{
  "code": "roles.invalid_role_name",
  "message": "Invalid role name"
}
{
  "code": "roles.cannot_modify_system_role",
  "message": "Cannot modify system role"
}
{
  "code": "roles.role_not_found",
  "message": "Role not found"
}

Path Parameters

role_id
string<uuid>
required

Body

application/json
name
string
Required string length: 3 - 50
Pattern: ^[a-zA-Z0-9_-]+$
description
string
active
boolean

Response

Role updated successfully

id
string<uuid>
required
name
string
required
active
boolean
required
description
string
system
boolean
created_at
string<date-time>
updated_at
string<date-time>